#
# spec file for package python-mygpoclient
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2010 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mygpoclient
Version:        1.9
Release:        2.4
Summary:        Python gpodder.net API Client Library
License:        GPL-3.0-or-later
URL:            https://gpodder.org/mygpoclient
Source:         https://files.pythonhosted.org/packages/source/m/mygpoclient/mygpoclient-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-simplejson
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
%python_subpackages

%description
The mygpoclient library allows developers to utilize a Pythonic interface to
the my.gpodder.org web services.

%prep
%setup -q -n "mygpoclient-%{version}"

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_mandir}/man1/mygpo-bpsync.1
%python_clone -a %{buildroot}%{_bindir}/mygpo-simple-client
%python_clone -a %{buildroot}%{_bindir}/mygpo-list-devices
%python_clone -a %{buildroot}%{_bindir}/mygpo-bpsync
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative mygpo-simple-client
%python_install_alternative mygpo-list-devices
%python_install_alternative mygpo-bpsync mygpo-bpsync.1

%postun
%python_uninstall_alternative mygpo-simple-client
%python_uninstall_alternative mygpo-list-devices
%python_uninstall_alternative mygpo-bpsync

%files %{python_files}
%doc AUTHORS
%license COPYING
%python_alternative %{_bindir}/mygpo-bpsync
%python_alternative %{_bindir}/mygpo-list-devices
%python_alternative %{_bindir}/mygpo-simple-client
%python_alternative %{_mandir}/man1/mygpo-bpsync.1%{ext_man}
%{python_sitelib}/*

%changelog
* Sat Mar  9 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to Version 1.9
  * Merge pull request #15 from maxolasersquad/master
  * Merge pull request #16 from gpodder/ci-remove-travis
  * replace travis-ci with github actions and appveyor
  * Resolved PEP8 linting problems
  * use == for comparison with literal
* Mon May 25 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Feb 20 2018 aloisio@gmx.com
- Update to verion 1.8 (no changelog supplied)
- Converted to single spec
* Mon Dec 20 2010 pascal.bleser@opensuse.org
- update to 1.5 "The Hunting Party":
  * bugfix release that contains corrections and improvements to the current feature set based on bug reports
* Fri Jun  4 2010 pascal@links2linux.de
- update to 1.4
* Mon Feb  8 2010 pascal@links2linux.de
- initial package (1.0)
